@echo off
screen 0
:menu
cls
echo.
echo       DBM  Demo Command List
echo       ======================
echo.
echo        1.  dbm  addr,,,surname stock  /25 /:2
echo        2.  dbm  addr,addr_1 /m /25 /!
echo        3.  dbm  addr,addr_2 /cc /25 /!!
echo        4.  dbm  addr,addr132 /m /d
echo        5.  dbm  addr,addr_3,addr_3 stock,stock_3 /r /43 /#25
echo        6.  dbm  customer order bdware transact  /43 /#25,25,25 /r
echo        7.  dbm  stdrec /25
echo        8.  dbm  *  //f:60 /50 /w /n
echo       F1.  help
echo.
echo        ESC quit
ng  "-c/10/9B? " -j25j21j28$12345678; -/10/10E -&30&10&15&7

if errorlevel==9 goto n9
if errorlevel==8 goto n8
if errorlevel==7 goto n7
if errorlevel==6 goto n6
if errorlevel==5 goto n5
if errorlevel==4 goto n4
if errorlevel==3 goto n3
if errorlevel==2 goto n2
if errorlevel==1 goto n1
goto quit

:n1
cls
echo DEMO:  about to run command
echo.
echo DBM ADDR,,,SURNAME STOCK  /25 /:2
echo ------------------------------------
echo.
echo which does
echo 1. Load in database
echo     ADDR.dbf
echo     addr.dbm         -default format file if exists
echo     addr.dbp         -default print design file if exists
echo     SURNAME.ntx      -index file to be opened
echo 2. Load in:    STOCK.dbf,stock.dbm,stock.dbp
echo 3. /:2         Initial workarea is the 2nd database STOCK
echo 4. /25         25 lines screen display
echo.
echo The initialisation block user-provided in database STOCK.DBP
echo sets itself related to database ADDR.DBF via the common field
echo SURNAME, so that the corresponding entry in ADDR.DBF is
echo automatically sought for every current record in STOCK.DBF.
echo Use F7 key to toggle the different displays.
echo.
ng -cj24j21$ "-BPress a key to continue or Esc to menu ... "
if not errorlevel 28 if errorlevel 27 goto menu
if not errorlevel 4 if errorlevel 3 goto menu

DBM ADDR,,,SURNAME STOCK /25 /:2
goto menu


:n2
cls
echo DEMO:  about to run command
echo.
echo DBM  ADDR,ADDR_1 /M /25 /!
echo --------------------------
echo.
echo which does
echo 1. Display only some of the fields specified by ADDR_1.DBM
echo 2. Monocrhome monitor assumed
echo 3. Portion of memo field is displayed directly
echo 4. Submenu disabled
echo.
ng -cj24j21$ "-BPress a key to continue or Esc to menu ... "
if not errorlevel 28 if errorlevel 27 goto menu
if not errorlevel 4 if errorlevel 3 goto menu

DBM  ADDR,ADDR_1 /M /25 /!
goto menu


:n3
cls
echo DEMO:  about to run command
echo.
echo DBM  ADDR,ADDR_2 /CC /25 /!!
echo ----------------------------
echo.
echo which does
echo 1. Display only some of the fields specified by ADDR_1.DBM
echo 2. Another color setting
echo 3. Portion of memo displayed directly, with same focus/edit region
echo 4. Unauthorised edit/view disabled
echo.
ng -cj24j21$ "-BPress a key to continue or Esc to menu ... "
if not errorlevel 28 if errorlevel 27 goto menu
if not errorlevel 4 if errorlevel 3 goto menu

DBM  ADDR,ADDR_2 /CC /25 /!!
goto menu


:n4
screen 1
cls
echo DEMO:  about to run command
echo.
echo DBM  ADDR,ADDR132 /M /D
echo -----------------------
echo.
echo which displays in 132x25 text mode for VGA, with mouse disabled
echo.
echo If your screen right now is not already in 132x25 text mode, then
echo part of the screen display in pagemode of this part of demo will not
echo be shown properly.
echo.
ng -cj24j21$ "-BPress a key to continue or Esc to menu ... "
if not errorlevel 28 if errorlevel 27 goto menu
if not errorlevel 4 if errorlevel 3 goto menu

DBM  ADDR,ADDR132 /M /D
screen 0
goto menu


:n5
cls
echo DEMO:  about to run command
echo.
echo DBM ADDR,ADDR_3,ADDR_3 STOCK,STOCK_3 /R /43 /#25
echo ------------------------------------------------
echo.
echo which does
echo 1. keep two workareas in a same screen (see this by pressing F7)
echo 2. index file for ADDR automatically created by ADDR_3.DBP
echo 3. relation automatically set to SURNAME in ADDR by STOCK.DBP
echo.
ng -cj24j21$ "-BPress a key to continue or Esc to menu ... "
if not errorlevel 28 if errorlevel 27 goto menu
if not errorlevel 4 if errorlevel 3 goto menu

DBM ADDR,ADDR_3,ADDR_3 STOCK,STOCK_3 /R /43 /#25
goto menu


:n6
cls
echo DEMO:  about to run command
echo.
echo DBM CUSTOMER ORDER BDWARE TRANSACT  /43 /#25,25,25 /r
echo -----------------------------------------------------
echo.
echo which does
echo 1. keep four workareas in a same screen
echo 2. index files and relations established via *.DBP files
echo 3. /#25,25,25  - press ^Y 3 times after loading the files
echo 4. your screen must be able to see 43/50 rows in order to be successful
echo 5. this set of database files is a simple real-world application
echo    used by a trading company
echo.
ng -cj24j21$ "-BPress a key to continue or Esc to menu ... "
if not errorlevel 28 if errorlevel 27 goto menu
if not errorlevel 4 if errorlevel 3 goto menu

DBM CUSTOMER ORDER BDWARE TRANSACT  /43 /#25,25,25 /r
goto menu


:n7
cls
echo DEMO:  about to run command
echo.
echo DBM stdrec /25
echo --------------
echo.
echo which does
echo 1. load in stdrec.dbf stdrec.dbm stdrec.dbp
echo 2. a simple application for keep student course record
echo.
ng -cj24j21$ "-BPress a key to continue or Esc to menu ... "
if not errorlevel 28 if errorlevel 27 goto menu
if not errorlevel 4 if errorlevel 3 goto menu

DBM stdrec /25
goto menu


:n8
cls
echo DEMO:  about to run command
echo.
echo DBM *  //f:60 /50 /w /n
echo -----------------------
echo.
echo which does
echo 1. Try to load in all database files
echo 2. max allowed number of open files is set to 60
echo 3. /50   50 lines screen display
echo 4. /w    initially set to windowmode display
echo 5. /n    direct link between pagemode and windowmode
echo          via index or filter is disabled
echo.
ng -cj24j21$ "-BPress a key to continue or Esc to menu ... "
if not errorlevel 28 if errorlevel 27 goto menu
if not errorlevel 4 if errorlevel 3 goto menu

DBM * //f:60 /50 /w /n
goto menu


:n9
cls
echo Press a digit to run the corresponding command.
echo A short explanation will be given to the command before it is run.
echo.
pause
goto menu

:quit
